package cat.hack3.codingtests.marsrover.commands;


import cat.hack3.codingtests.marsrover.api.RotableRiderRover;
import cat.hack3.codingtests.marsrover.api.commands.RoverCommand;

public class MoveBackwardsCommand implements RoverCommand {
    private final RotableRiderRover rover;

    public MoveBackwardsCommand(RotableRiderRover rover) {
        this.rover = rover;
    }

    @Override
    public void execute() {
        rover.moveTowards(rover.getCurrentDirection().reversed());
    }
}
