package cat.hack3.codingtests.marsrover.commands;


import cat.hack3.codingtests.marsrover.api.RotableRiderRover;
import cat.hack3.codingtests.marsrover.api.commands.RoverCommand;

import static cat.hack3.codingtests.marsrover.api.RotableRiderRover.Rotation.RIGHT;

public class TurnRightCommand implements RoverCommand {
    private final RotableRiderRover rover;

    public TurnRightCommand(RotableRiderRover rover) {
        this.rover = rover;
    }

    @Override
    public void execute() {
        rover.rotateTowards(RIGHT);
    }
}
